package com.gh.gamecenter.acloud.push

import android.content.Context
import android.content.Intent
import android.net.Uri
import com.alibaba.sdk.android.push.MessageReceiver
import com.alibaba.sdk.android.push.notification.CPushMessage
import com.gh.gamecenter.core.utils.GsonUtils
import com.lightgame.utils.Utils

class ACloudPushReceiver : MessageReceiver() {

    override fun onNotificationOpened(context: Context, title: String, summary: String, extraMap: String?) {
        ACloudPushHelper.handleNotificationOpened(context, title, summary, extraMap)
    }

    override fun onNotificationRemoved(context: Context, messageId: String) {

    }

    override fun onNotification(context: Context, title: String, summary: String, extraMap: MutableMap<String, String>?) {

    }

    override fun onMessage(context: Context, cPushMessage: CPushMessage) {

    }

    override fun onNotificationClickedWithNoAction(context: Context, title: String, summary: String, extraMap: String) {
    }

    override fun onNotificationReceivedInApp(
        context: Context,
        title: String,
        summary: String,
        extraMap: MutableMap<String, String>,
        openType: Int,
        openActivity: String?,
        openUrl: String?
    ) {

    }
}